#version 330 core

in float height;

in vec3 toCameraVector;
in vec3 normalPass;
in vec2 uvPass;

out vec4 color;

uniform sampler2D tex;

uniform float screenWidth;
uniform float screenHeight;

// bloom filter
float threshold = 0.7; 

void main()
{
	vec2 uvMain = vec2(uvPass.x, uvPass.y);
	
	color = texture(tex, uvMain);
	
	float bright = (color.r * 0.2126) + (color.g * 0.7152) + (color.b * 0.0722);
	if(bright < threshold)
	{
		color = vec4(0, 0, 0, 1);
	}
}