#version 330 core

in float height;

in vec3 toCameraVector;
in vec2 uvPass;

out vec4 color;

uniform float hitpoints;
uniform bool useTexture;
uniform sampler2D texure;

float PI = 3.14159265;

float rand(vec2 n) 
{ 
	return fract(sin(dot(n, vec2(12.9898, 4.1414))) * 43758.5453);
}

float noise(vec2 p)
{
	vec2 ip = floor(p);
	vec2 u = fract(p);
	u = u*u*(3.0-2.0*u);
	
	float res = mix(
		mix(rand(ip),rand(ip+vec2(1.0,0.0)),u.x),
		mix(rand(ip+vec2(0.0,1.0)),rand(ip+vec2(1.0,1.0)),u.x),u.y);
	return res*res;
}

void main()
{
	if(useTexture)
	{
		color = vec4(texture(texure, uvPass).xyz, 0.5);
	}
	else
	{
		color = vec4(0.0, 1.0, 0.0, 0.5);
		if(hitpoints <= 0.5)
		{
			color = vec4(1.0, 1.0, 0.0, 0.5);
		}
		if(hitpoints <= 0.1)
		{
			color = vec4(1.0, 0.0, 0.0, 0.5);
		}
	}
}