#version 330 core

in float height;

in vec3 normalPass;
in vec2 uvPass;

out vec4 color;

uniform sampler2D tex;

void main()
{
	// calculate normal
	vec4 texcol = texture(tex, uvPass);

	// calculate diffuse lighting	
	vec3 lightDirection = vec3(0, 1, 1);
	vec3 unitLightVector = normalize(lightDirection.xyz);
	float nDotl = dot(normalize(normalPass), unitLightVector);	
	float brightness = max(nDotl, 0);
	
	brightness = min(1, brightness+0.3);
	
	color = /*vec4(brightness * vec3(1, 1, 1), 1) */ texcol;
	color.a = 0.3;
	
	//color = vec4(1, 0, 0, 0.3);
}