#version 330 core

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 vertexPosition;
layout(location = 1) in vec2 vertexUV;
layout(location = 2) in vec3 normal;

out vec2 blurTextureCoords[11];

uniform float screenWidth;
uniform float screenHeight;

void main()
{
	// Output position of the vertex, in clip space : MVP * position
	gl_Position = vec4(vertexPosition.x, vertexPosition.y, vertexPosition.z, 1);
	
	vec2 centerTexCoords = vertexPosition.xy * 0.5 + 0.5;
	float pixelSize = 1.0f / 1280;
	
	for (int i =-5; i<=5; i++)
	{
		blurTextureCoords[i+5] = centerTexCoords + vec2(pixelSize * i, 0);
	}
}

