#version 330 core

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 vertexPosition;
layout(location = 1) in vec2 vertexUV;
layout(location = 2) in vec3 normal;

out float height;

out vec3 normalPass;
out vec2 uvPass;
out vec3 toCameraVector;

uniform mat4 viewMatrix;

void main()
{
	uvPass = vertexUV;

	// Output position of the vertex, in clip space : MVP * position
	gl_Position = vec4(vertexPosition.x, vertexPosition.y, vertexPosition.z, 1);
}