#version 330 core

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 vertexPosition;
layout(location = 1) in vec2 vertexUV;

layout(location = 3) in mat4 modelViewMatrix;
layout(location = 7) in vec4 texOffset;
layout(location = 8) in float blendFactor;

out vec2 uvPass1;
out vec2 uvPass2;
out float blend;

uniform mat4 projectionMatrix;
uniform mat4 mVM;
uniform float numberOfRows;

void main()
{
	vec2 uvPass = vertexUV;
	uvPass /= numberOfRows;
	
	uvPass1 = uvPass + texOffset.xy;
	uvPass1.y = 1 - (uvPass.y + texOffset.y);
	uvPass2 = uvPass + texOffset.zw;
	uvPass2.y = 1 - (uvPass.y + texOffset.w);
	
	blend = blendFactor;

	gl_Position = projectionMatrix * modelViewMatrix * vec4(vertexPosition.xyz, 1.0);
	//gl_Position = projectionMatrix * mVM * vec4(vertexPosition.xyz, 1.0);
	//gl_Position = vec4(0.0, 0.0, 0.0, 1.0);
}

